%define name	mammut
%define version	0.17
%define release 1mdk

Name: 	 	%{name}
Summary: 	One pass Fourier transform for audio files
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.notam02.no/arkiv/src/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel libsndfile-devel sndlib-devel
Requires:	pygtk pygtk-libglade

%description
Mammut will FFT your sound in one single gigantic analysis (no windows).
These spectral data, where the development in time is incorporated in
mysterious ways, may then be transformed by different algorithms prior to
resynthesis. An interesting aspect of Mammut is its completely
non-intuitive sound transformation approach. 

%prep
%setup -q

%build
cd src
perl -p -i -e 's|/usr/local/include|/usr/include||g' Makefile
%make TEMPDIR="/tmp" ADDITIONALCFLAGS="$RPM_OPT_FLAGS" ADDITIONALLDFLAGS="-lsndlib -lsndfile -lm -lpthread -ldl -L." PYPATH="/usr/include/python2.3"
										
%install
rm -rf $RPM_BUILD_ROOT
chmod 644 NEW *.html
mkdir -p $RPM_BUILD_ROOT{%_libdir,%_sysconfdir,%_bindir}
cp lib/* $RPM_BUILD_ROOT/%_libdir
cp etc/* $RPM_BUILD_ROOT/%_sysconfdir
cp bin/* $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Mammut" longtitle="Fourier transform" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc *.gif *.html NEW
%{_bindir}/%name
%{_sysconfdir}/%name.glade
%{_libdir}/*.so
%{_menudir}/%name

%changelog
* Thu Aug 12 2004 Austin Acton <austin@mandrake.org> 0.17-1mdk
- 0.17

* Mon Nov 17 2003 Austin Acton <aacton@yorku.ca> 0.16-1mdk
- initial package
